/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;

/**
 * Distance between the workshop and the search location.
 */
@ApiModel(description = "Distance between the workshop and the search location.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Distance {
  @SerializedName("value")
  private BigDecimal value = null;

  @SerializedName("unit")
  private String unit = null;

  @SerializedName("is_as_crow_flies")
  private Boolean isAsCrowFlies = true;

  public Distance value(BigDecimal value) {
    this.value = value;
    return this;
  }

   /**
   * Value of the measure.
   * @return value
  **/
  @ApiModelProperty(value = "Value of the measure.")
  public BigDecimal getValue() {
    return value;
  }

  public void setValue(BigDecimal value) {
    this.value = value;
  }

  public Distance unit(String unit) {
    this.unit = unit;
    return this;
  }

   /**
   * Unit of the measure. ISO-20022 Unit Of Measure.
   * @return unit
  **/
  @ApiModelProperty(value = "Unit of the measure. ISO-20022 Unit Of Measure.")
  public String getUnit() {
    return unit;
  }

  public void setUnit(String unit) {
    this.unit = unit;
  }

  public Distance isAsCrowFlies(Boolean isAsCrowFlies) {
    this.isAsCrowFlies = isAsCrowFlies;
    return this;
  }

   /**
   * Indicates if the distance is as the crow flies.
   * @return isAsCrowFlies
  **/
  @ApiModelProperty(value = "Indicates if the distance is as the crow flies.")
  public Boolean isIsAsCrowFlies() {
    return isAsCrowFlies;
  }

  public void setIsAsCrowFlies(Boolean isAsCrowFlies) {
    this.isAsCrowFlies = isAsCrowFlies;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Distance distance = (Distance) o;
    return Objects.equals(this.value, distance.value) &&
        Objects.equals(this.unit, distance.unit) &&
        Objects.equals(this.isAsCrowFlies, distance.isAsCrowFlies);
  }

  @Override
  public int hashCode() {
    return Objects.hash(value, unit, isAsCrowFlies);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Distance {\n");
    
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("    unit: ").append(toIndentedString(unit)).append("\n");
    sb.append("    isAsCrowFlies: ").append(toIndentedString(isAsCrowFlies)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

